Bug 1315829 - AVC denial: systemd-resolve, unable to create /run/systemd/resolve/resolv.conf: Permission denied
AVC denial: systemd-resolve, unable to create /run/systemd/resolve/resolv.con...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
24
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Lukas Vrabec
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-08 12:38 EST by Tony Asleson
Modified: 2016-03-23 12:57 EDT (History)
5 users (show)

See Also:
Fixed In Version: selinux-policy-3.13.1-178.fc24 selinux-policy-3.13.1-179.fc24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-23 12:57:21 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tony Asleson 2016-03-08 12:38:16 EST
Description of problem:

Fresh install of F24 XFCE spin (Fedora-Xfce-Live-x86_64-24-20160308.0.iso) install downloaded from http://dl.fedoraproject.org/pub/fedora/linux/development/24/Spins/

I have network, but no name resolution as /etc/resolv.conf is missing, broken symlink:
/etc/resolv.conf -> ../run/systemd/resolve/resolv.conf

Journal shows:

Mar 08 12:10:06 f24alpha systemd-resolved[1847]: Could not create /run/systemd/resolve/resolv.conf: Permission denied
Mar 08 12:10:06 f24alpha audit[1847]: AVC avc:  denied  { create } for  pid=1847 comm="systemd-resolve" name=".#resolv.confDiAchG" scontext=system_u:system_r:init_t:s0 tcontext=system_u:object_r:net_conf_t:s0 tclass=file permissive=0

# sestatus
SELinux status:                 enabled
SELinuxfs mount:                /sys/fs/selinux
SELinux root directory:         /etc/selinux
Loaded policy name:             targeted
Current mode:                   enforcing
Mode from config file:          enforcing
Policy MLS status:              enabled
Policy deny_unknown status:     allowed
Max kernel policy version:      30
Comment 1 Lukas Vrabec 2016-03-10 05:30:54 EST
commit b117cba9fbbf56428da7610f0f1e97036f122482
Author: Lukas Vrabec <lvrabec@redhat.com>
Date:   Thu Mar 10 11:29:45 2016 +0100

    Label tcp port 5355 as llmnr-> Link-Local Multicast Name Resolution

commit 2fe649cdce0923b9d79f9a20617f7936ed8e7c4d
Author: Lukas Vrabec <lvrabec@redhat.com>
Date:   Wed Mar 9 16:26:03 2016 +0100

    Add support systemd-resolved.
Comment 2 Fedora Update System 2016-03-11 04:56:54 EST
selinux-policy-3.13.1-178.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-1350c96015
Comment 3 Fedora Update System 2016-03-11 14:26:31 EST
selinux-policy-3.13.1-178.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-1350c96015
Comment 4 Fedora Update System 2016-03-16 09:43:20 EDT
selinux-policy-3.13.1-179.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-8f142bb969
Comment 5 Fedora Update System 2016-03-18 10:59:19 EDT
selinux-policy-3.13.1-179.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-8f142bb969
Comment 6 Fedora Update System 2016-03-23 12:55:24 EDT
selinux-policy-3.13.1-179.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.